// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 51;
	objects = {

/* Begin PBXBuildFile section */
		66E72E378802B470CAE93DEF /* Pods_MazenProject.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 8E2F9570D356CAE32E313034 /* Pods_MazenProject.framework */; };
		761AD65C380B2F8D2D79DEEE /* Pods_MazenProjectTests.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = A6591443994BFC0AB48A7FC7 /* Pods_MazenProjectTests.framework */; };
		BA0A40B92304785D008CFFFA /* Webservice.swift in Sources */ = {isa = PBXBuildFile; fileRef = BA0A40B82304785D008CFFFA /* Webservice.swift */; };
		BA0E97F62357045500E11C8D /* HomeModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = BA0E97F52357045500E11C8D /* HomeModel.swift */; };
		BA1D99192350CCE500C10806 /* HomeViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = BA1D99182350CCE500C10806 /* HomeViewController.swift */; };
		BA1D991D2350E0C100C10806 /* HomeViewController+TableView.swift in Sources */ = {isa = PBXBuildFile; fileRef = BA1D991C2350E0C100C10806 /* HomeViewController+TableView.swift */; };
		BA3F5C5A2355FBB800468F75 /* CustomLoader.swift in Sources */ = {isa = PBXBuildFile; fileRef = BA3F5C592355FBB800468F75 /* CustomLoader.swift */; };
		BA3F5C5D2355FE8F00468F75 /* Loader.swift in Sources */ = {isa = PBXBuildFile; fileRef = BA3F5C5C2355FE8F00468F75 /* Loader.swift */; };
		BA3F5C5F2356141E00468F75 /* HomeViewModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = BA3F5C5E2356141E00468F75 /* HomeViewModel.swift */; };
		BA458D6F24D973B20066A4BD /* HomeViewController+Extensions.swift in Sources */ = {isa = PBXBuildFile; fileRef = BA458D6E24D973B20066A4BD /* HomeViewController+Extensions.swift */; };
		BA4F60C12322994000AB1908 /* MovieViewModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = BA4F60C02322994000AB1908 /* MovieViewModel.swift */; };
		BA59493623633A0000EE6B54 /* ImagesCollectionViewCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = BA59493523633A0000EE6B54 /* ImagesCollectionViewCell.swift */; };
		BA84B37A23548D4900200D8C /* HomeTableViewCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = BA84B37923548D4900200D8C /* HomeTableViewCell.swift */; };
		BA84B37C23548D8200200D8C /* MovieCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = BA84B37B23548D8200200D8C /* MovieCell.swift */; };
		BA84B37E2354CEE200200D8C /* HomeTableViewCell+CollectionView.swift in Sources */ = {isa = PBXBuildFile; fileRef = BA84B37D2354CEE200200D8C /* HomeTableViewCell+CollectionView.swift */; };
		BA9652482338D52A003D5820 /* Localizable.strings in Resources */ = {isa = PBXBuildFile; fileRef = BA96524A2338D52A003D5820 /* Localizable.strings */; };
		BA96524E2338D61E003D5820 /* StringExtension.swift in Sources */ = {isa = PBXBuildFile; fileRef = BA96524D2338D61E003D5820 /* StringExtension.swift */; };
		BA9652512338D685003D5820 /* TextKeys.swift in Sources */ = {isa = PBXBuildFile; fileRef = BA9652502338D685003D5820 /* TextKeys.swift */; };
		BA9652532338D8C9003D5820 /* LabelExtension.swift in Sources */ = {isa = PBXBuildFile; fileRef = BA9652522338D8C9003D5820 /* LabelExtension.swift */; };
		BA9F7D55237C018F00819B84 /* StringUtils.swift in Sources */ = {isa = PBXBuildFile; fileRef = BA9F7D54237C018F00819B84 /* StringUtils.swift */; };
		BAAFAE5C234F484C0024B385 /* Colors.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = BAAFAE5B234F484C0024B385 /* Colors.xcassets */; };
		BAAFAE63234F4A350024B385 /* BaseViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = BAAFAE62234F4A350024B385 /* BaseViewController.swift */; };
		BAAFAE68234F64FC0024B385 /* ViewExtension.swift in Sources */ = {isa = PBXBuildFile; fileRef = BAAFAE67234F64FC0024B385 /* ViewExtension.swift */; };
		BAAFAE6A234F68D80024B385 /* ColorExtension.swift in Sources */ = {isa = PBXBuildFile; fileRef = BAAFAE69234F68D80024B385 /* ColorExtension.swift */; };
		BAAFAE6C234F6A530024B385 /* ColorConstants.swift in Sources */ = {isa = PBXBuildFile; fileRef = BAAFAE6B234F6A530024B385 /* ColorConstants.swift */; };
		BAB92B432304672A00212FC5 /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = BAB92B422304672A00212FC5 /* AppDelegate.swift */; };
		BAB92B4B2304672A00212FC5 /* MazenProject.xcdatamodeld in Sources */ = {isa = PBXBuildFile; fileRef = BAB92B492304672A00212FC5 /* MazenProject.xcdatamodeld */; };
		BAB92B4D2304672E00212FC5 /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = BAB92B4C2304672E00212FC5 /* Assets.xcassets */; };
		BAB92B502304672E00212FC5 /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = BAB92B4E2304672E00212FC5 /* LaunchScreen.storyboard */; };
		BAB92B5B2304672E00212FC5 /* MazenProjectTests.swift in Sources */ = {isa = PBXBuildFile; fileRef = BAB92B5A2304672E00212FC5 /* MazenProjectTests.swift */; };
		BAB92B662304672E00212FC5 /* MazenProjectUITests.swift in Sources */ = {isa = PBXBuildFile; fileRef = BAB92B652304672E00212FC5 /* MazenProjectUITests.swift */; };
		BAB92B752304686700212FC5 /* Movie.swift in Sources */ = {isa = PBXBuildFile; fileRef = BAB92B742304686700212FC5 /* Movie.swift */; };
		BABB95432360672C00A3784A /* HomeViewModelEventType.swift in Sources */ = {isa = PBXBuildFile; fileRef = BABB95422360672C00A3784A /* HomeViewModelEventType.swift */; };
		BABB954523606B2700A3784A /* BaseVC+Extensions.swift in Sources */ = {isa = PBXBuildFile; fileRef = BABB954423606B2700A3784A /* BaseVC+Extensions.swift */; };
		BAC3F5EC2360B34700039C9A /* MovieDetailsViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = BAC3F5EB2360B34700039C9A /* MovieDetailsViewController.swift */; };
		BAC4A7AC2361EC0F0088BE56 /* MovieDataTableViewCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = BAC4A7AB2361EC0F0088BE56 /* MovieDataTableViewCell.swift */; };
		BAC4A7AE2361EC300088BE56 /* MovieDescriptionTableViewCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = BAC4A7AD2361EC300088BE56 /* MovieDescriptionTableViewCell.swift */; };
		BAC4A7B02361EC450088BE56 /* MovieScreenshotsTableViewCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = BAC4A7AF2361EC450088BE56 /* MovieScreenshotsTableViewCell.swift */; };
		BAD87BCE236189D6001BA746 /* BackButtonView.swift in Sources */ = {isa = PBXBuildFile; fileRef = BAD87BCD236189D6001BA746 /* BackButtonView.swift */; };
		BAD87BD02361B033001BA746 /* MovieDetailsVC+TableView.swift in Sources */ = {isa = PBXBuildFile; fileRef = BAD87BCF2361B033001BA746 /* MovieDetailsVC+TableView.swift */; };
		BAD99F4D236C2855002C3A89 /* HomeHeaderView.swift in Sources */ = {isa = PBXBuildFile; fileRef = BAD99F4C236C2855002C3A89 /* HomeHeaderView.swift */; };
		BADA99862358578B009B3FF4 /* SectionType.swift in Sources */ = {isa = PBXBuildFile; fileRef = BADA99852358578B009B3FF4 /* SectionType.swift */; };
		BADE462E2382A9B40051E52A /* AppDelegate+LifeCycle.swift in Sources */ = {isa = PBXBuildFile; fileRef = BADE462D2382A9B40051E52A /* AppDelegate+LifeCycle.swift */; };
		BAF45E5E2369817200E134CD /* MovieDetailsHeaderView.swift in Sources */ = {isa = PBXBuildFile; fileRef = BAF45E5D2369817200E134CD /* MovieDetailsHeaderView.swift */; };
		BAF9D79F23506819000B3A0F /* CustomTextField.swift in Sources */ = {isa = PBXBuildFile; fileRef = BAF9D79E23506819000B3A0F /* CustomTextField.swift */; };
		BF5553152190A40381D3A841 /* Pods_MazenProjectUITests.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 53FF8019E6F5EC85704509EF /* Pods_MazenProjectUITests.framework */; };
/* End PBXBuildFile section */

/* Begin PBXContainerItemProxy section */
		BAB92B572304672E00212FC5 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = BAB92B372304672A00212FC5 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = BAB92B3E2304672A00212FC5;
			remoteInfo = MazenProject;
		};
		BAB92B622304672E00212FC5 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = BAB92B372304672A00212FC5 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = BAB92B3E2304672A00212FC5;
			remoteInfo = MazenProject;
		};
/* End PBXContainerItemProxy section */

/* Begin PBXFileReference section */
		1310576CC77F1E5143509768 /* Pods-MazenProject.debug.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-MazenProject.debug.xcconfig"; path = "Pods/Target Support Files/Pods-MazenProject/Pods-MazenProject.debug.xcconfig"; sourceTree = "<group>"; };
		25E4B89C4E81E75F81429F69 /* Pods-MazenProjectTests.release.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-MazenProjectTests.release.xcconfig"; path = "Pods/Target Support Files/Pods-MazenProjectTests/Pods-MazenProjectTests.release.xcconfig"; sourceTree = "<group>"; };
		53FF8019E6F5EC85704509EF /* Pods_MazenProjectUITests.framework */ = {isa = PBXFileReference; explicitFileType = wrapper.framework; includeInIndex = 0; path = Pods_MazenProjectUITests.framework; sourceTree = BUILT_PRODUCTS_DIR; };
		58579BB6C7D2EF3CAA47654D /* Pods-MazenProjectUITests.release.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-MazenProjectUITests.release.xcconfig"; path = "Pods/Target Support Files/Pods-MazenProjectUITests/Pods-MazenProjectUITests.release.xcconfig"; sourceTree = "<group>"; };
		81F083E05F795A43D3DD2FE9 /* Pods-MazenProjectUITests.debug.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-MazenProjectUITests.debug.xcconfig"; path = "Pods/Target Support Files/Pods-MazenProjectUITests/Pods-MazenProjectUITests.debug.xcconfig"; sourceTree = "<group>"; };
		8E2F9570D356CAE32E313034 /* Pods_MazenProject.framework */ = {isa = PBXFileReference; explicitFileType = wrapper.framework; includeInIndex = 0; path = Pods_MazenProject.framework; sourceTree = BUILT_PRODUCTS_DIR; };
		9A497ED99187107A467D4CC8 /* Pods-MazenProjectTests.debug.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-MazenProjectTests.debug.xcconfig"; path = "Pods/Target Support Files/Pods-MazenProjectTests/Pods-MazenProjectTests.debug.xcconfig"; sourceTree = "<group>"; };
		9C59124D93EBAD35555158A2 /* Pods-MazenProject.release.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-MazenProject.release.xcconfig"; path = "Pods/Target Support Files/Pods-MazenProject/Pods-MazenProject.release.xcconfig"; sourceTree = "<group>"; };
		A6591443994BFC0AB48A7FC7 /* Pods_MazenProjectTests.framework */ = {isa = PBXFileReference; explicitFileType = wrapper.framework; includeInIndex = 0; path = Pods_MazenProjectTests.framework; sourceTree = BUILT_PRODUCTS_DIR; };
		BA0A40B82304785D008CFFFA /* Webservice.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Webservice.swift; sourceTree = "<group>"; };
		BA0E97F52357045500E11C8D /* HomeModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = HomeModel.swift; sourceTree = "<group>"; };
		BA1D99182350CCE500C10806 /* HomeViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = HomeViewController.swift; sourceTree = "<group>"; };
		BA1D991C2350E0C100C10806 /* HomeViewController+TableView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "HomeViewController+TableView.swift"; sourceTree = "<group>"; };
		BA3F5C592355FBB800468F75 /* CustomLoader.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CustomLoader.swift; sourceTree = "<group>"; };
		BA3F5C5C2355FE8F00468F75 /* Loader.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Loader.swift; sourceTree = "<group>"; };
		BA3F5C5E2356141E00468F75 /* HomeViewModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = HomeViewModel.swift; sourceTree = "<group>"; };
		BA458D6E24D973B20066A4BD /* HomeViewController+Extensions.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "HomeViewController+Extensions.swift"; sourceTree = "<group>"; };
		BA4F60C02322994000AB1908 /* MovieViewModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MovieViewModel.swift; sourceTree = "<group>"; };
		BA59493523633A0000EE6B54 /* ImagesCollectionViewCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ImagesCollectionViewCell.swift; sourceTree = "<group>"; };
		BA84B37923548D4900200D8C /* HomeTableViewCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = HomeTableViewCell.swift; sourceTree = "<group>"; };
		BA84B37B23548D8200200D8C /* MovieCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MovieCell.swift; sourceTree = "<group>"; };
		BA84B37D2354CEE200200D8C /* HomeTableViewCell+CollectionView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "HomeTableViewCell+CollectionView.swift"; sourceTree = "<group>"; };
		BA9652492338D52A003D5820 /* en */ = {isa = PBXFileReference; lastKnownFileType = text.plist.strings; name = en; path = en.lproj/Localizable.strings; sourceTree = "<group>"; };
		BA96524D2338D61E003D5820 /* StringExtension.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = StringExtension.swift; sourceTree = "<group>"; };
		BA9652502338D685003D5820 /* TextKeys.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TextKeys.swift; sourceTree = "<group>"; };
		BA9652522338D8C9003D5820 /* LabelExtension.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = LabelExtension.swift; sourceTree = "<group>"; };
		BA9F7D54237C018F00819B84 /* StringUtils.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = StringUtils.swift; sourceTree = "<group>"; };
		BAA83AE92338E0310043B100 /* fr */ = {isa = PBXFileReference; lastKnownFileType = text.plist.strings; name = fr; path = fr.lproj/Localizable.strings; sourceTree = "<group>"; };
		BAAFAE5B234F484C0024B385 /* Colors.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Colors.xcassets; sourceTree = "<group>"; };
		BAAFAE62234F4A350024B385 /* BaseViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = BaseViewController.swift; sourceTree = "<group>"; };
		BAAFAE67234F64FC0024B385 /* ViewExtension.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ViewExtension.swift; sourceTree = "<group>"; };
		BAAFAE69234F68D80024B385 /* ColorExtension.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ColorExtension.swift; sourceTree = "<group>"; };
		BAAFAE6B234F6A530024B385 /* ColorConstants.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ColorConstants.swift; sourceTree = "<group>"; };
		BAB92B3F2304672A00212FC5 /* MazenProject.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = MazenProject.app; sourceTree = BUILT_PRODUCTS_DIR; };
		BAB92B422304672A00212FC5 /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		BAB92B4A2304672A00212FC5 /* MazenProject.xcdatamodel */ = {isa = PBXFileReference; lastKnownFileType = wrapper.xcdatamodel; path = MazenProject.xcdatamodel; sourceTree = "<group>"; };
		BAB92B4C2304672E00212FC5 /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		BAB92B4F2304672E00212FC5 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		BAB92B512304672E00212FC5 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		BAB92B562304672E00212FC5 /* MazenProjectTests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = MazenProjectTests.xctest; sourceTree = BUILT_PRODUCTS_DIR; };
		BAB92B5A2304672E00212FC5 /* MazenProjectTests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MazenProjectTests.swift; sourceTree = "<group>"; };
		BAB92B5C2304672E00212FC5 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		BAB92B612304672E00212FC5 /* MazenProjectUITests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = MazenProjectUITests.xctest; sourceTree = BUILT_PRODUCTS_DIR; };
		BAB92B652304672E00212FC5 /* MazenProjectUITests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MazenProjectUITests.swift; sourceTree = "<group>"; };
		BAB92B672304672E00212FC5 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		BAB92B742304686700212FC5 /* Movie.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Movie.swift; sourceTree = "<group>"; };
		BABB95422360672C00A3784A /* HomeViewModelEventType.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = HomeViewModelEventType.swift; sourceTree = "<group>"; };
		BABB954423606B2700A3784A /* BaseVC+Extensions.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "BaseVC+Extensions.swift"; sourceTree = "<group>"; };
		BAC3F5EB2360B34700039C9A /* MovieDetailsViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MovieDetailsViewController.swift; sourceTree = "<group>"; };
		BAC4A7AB2361EC0F0088BE56 /* MovieDataTableViewCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MovieDataTableViewCell.swift; sourceTree = "<group>"; };
		BAC4A7AD2361EC300088BE56 /* MovieDescriptionTableViewCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MovieDescriptionTableViewCell.swift; sourceTree = "<group>"; };
		BAC4A7AF2361EC450088BE56 /* MovieScreenshotsTableViewCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MovieScreenshotsTableViewCell.swift; sourceTree = "<group>"; };
		BAD87BCD236189D6001BA746 /* BackButtonView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = BackButtonView.swift; sourceTree = "<group>"; };
		BAD87BCF2361B033001BA746 /* MovieDetailsVC+TableView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "MovieDetailsVC+TableView.swift"; sourceTree = "<group>"; };
		BAD99F4C236C2855002C3A89 /* HomeHeaderView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = HomeHeaderView.swift; sourceTree = "<group>"; };
		BADA99852358578B009B3FF4 /* SectionType.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SectionType.swift; sourceTree = "<group>"; };
		BADE462D2382A9B40051E52A /* AppDelegate+LifeCycle.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "AppDelegate+LifeCycle.swift"; sourceTree = "<group>"; };
		BAF45E5D2369817200E134CD /* MovieDetailsHeaderView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MovieDetailsHeaderView.swift; sourceTree = "<group>"; };
		BAF9D79E23506819000B3A0F /* CustomTextField.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CustomTextField.swift; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		BAB92B3C2304672A00212FC5 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				66E72E378802B470CAE93DEF /* Pods_MazenProject.framework in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		BAB92B532304672E00212FC5 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				761AD65C380B2F8D2D79DEEE /* Pods_MazenProjectTests.framework in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		BAB92B5E2304672E00212FC5 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				BF5553152190A40381D3A841 /* Pods_MazenProjectUITests.framework in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		BA0A40B523047480008CFFFA /* Services */ = {
			isa = PBXGroup;
			children = (
				BA0A40B82304785D008CFFFA /* Webservice.swift */,
			);
			path = Services;
			sourceTree = "<group>";
		};
		BA1D99172350CCD700C10806 /* Home */ = {
			isa = PBXGroup;
			children = (
				BA1D99182350CCE500C10806 /* HomeViewController.swift */,
				BA1D991C2350E0C100C10806 /* HomeViewController+TableView.swift */,
				BA458D6E24D973B20066A4BD /* HomeViewController+Extensions.swift */,
				BAD99F4C236C2855002C3A89 /* HomeHeaderView.swift */,
			);
			path = Home;
			sourceTree = "<group>";
		};
		BA3F5C5B2355FE8000468F75 /* Loader */ = {
			isa = PBXGroup;
			children = (
				BA3F5C592355FBB800468F75 /* CustomLoader.swift */,
				BA3F5C5C2355FE8F00468F75 /* Loader.swift */,
			);
			path = Loader;
			sourceTree = "<group>";
		};
		BA4F60BE232296B700AB1908 /* Storyboards */ = {
			isa = PBXGroup;
			children = (
				BAB92B4E2304672E00212FC5 /* LaunchScreen.storyboard */,
			);
			path = Storyboards;
			sourceTree = "<group>";
		};
		BA4F60BF2322991200AB1908 /* ViewModel */ = {
			isa = PBXGroup;
			children = (
				BA3F5C5E2356141E00468F75 /* HomeViewModel.swift */,
				BA4F60C02322994000AB1908 /* MovieViewModel.swift */,
			);
			path = ViewModel;
			sourceTree = "<group>";
		};
		BA84B37823548D3300200D8C /* CollectionViewCell */ = {
			isa = PBXGroup;
			children = (
				BA84B37B23548D8200200D8C /* MovieCell.swift */,
				BA59493523633A0000EE6B54 /* ImagesCollectionViewCell.swift */,
			);
			path = CollectionViewCell;
			sourceTree = "<group>";
		};
		BA9652452338D50F003D5820 /* Texts */ = {
			isa = PBXGroup;
			children = (
				BA96524A2338D52A003D5820 /* Localizable.strings */,
			);
			path = Texts;
			sourceTree = "<group>";
		};
		BA96524C2338D60F003D5820 /* Extensions */ = {
			isa = PBXGroup;
			children = (
				BA96524D2338D61E003D5820 /* StringExtension.swift */,
				BA9652522338D8C9003D5820 /* LabelExtension.swift */,
				BAAFAE67234F64FC0024B385 /* ViewExtension.swift */,
				BAAFAE69234F68D80024B385 /* ColorExtension.swift */,
			);
			path = Extensions;
			sourceTree = "<group>";
		};
		BA96524F2338D678003D5820 /* GlobalConstants */ = {
			isa = PBXGroup;
			children = (
				BA9652502338D685003D5820 /* TextKeys.swift */,
				BAAFAE6B234F6A530024B385 /* ColorConstants.swift */,
			);
			path = GlobalConstants;
			sourceTree = "<group>";
		};
		BA9652542338D8FB003D5820 /* AppDelegate */ = {
			isa = PBXGroup;
			children = (
				BAB92B422304672A00212FC5 /* AppDelegate.swift */,
				BADE462D2382A9B40051E52A /* AppDelegate+LifeCycle.swift */,
			);
			path = AppDelegate;
			sourceTree = "<group>";
		};
		BA9F7D53237C018000819B84 /* Utils */ = {
			isa = PBXGroup;
			children = (
				BA9F7D54237C018F00819B84 /* StringUtils.swift */,
			);
			path = Utils;
			sourceTree = "<group>";
		};
		BAAFAE61234F4A1D0024B385 /* Base */ = {
			isa = PBXGroup;
			children = (
				BAAFAE62234F4A350024B385 /* BaseViewController.swift */,
				BABB954423606B2700A3784A /* BaseVC+Extensions.swift */,
			);
			path = Base;
			sourceTree = "<group>";
		};
		BAAFAE66234F4CB30024B385 /* Assets */ = {
			isa = PBXGroup;
			children = (
				BAB92B4C2304672E00212FC5 /* Assets.xcassets */,
				BAAFAE5B234F484C0024B385 /* Colors.xcassets */,
			);
			path = Assets;
			sourceTree = "<group>";
		};
		BAB92B362304672A00212FC5 = {
			isa = PBXGroup;
			children = (
				BAB92B412304672A00212FC5 /* MazenProject */,
				BAB92B592304672E00212FC5 /* MazenProjectTests */,
				BAB92B642304672E00212FC5 /* MazenProjectUITests */,
				BAB92B402304672A00212FC5 /* Products */,
				CA0A55937AFC96EE335FE1D2 /* Pods */,
				DE86E0F2753655ED251C59C8 /* Frameworks */,
			);
			sourceTree = "<group>";
		};
		BAB92B402304672A00212FC5 /* Products */ = {
			isa = PBXGroup;
			children = (
				BAB92B3F2304672A00212FC5 /* MazenProject.app */,
				BAB92B562304672E00212FC5 /* MazenProjectTests.xctest */,
				BAB92B612304672E00212FC5 /* MazenProjectUITests.xctest */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		BAB92B412304672A00212FC5 /* MazenProject */ = {
			isa = PBXGroup;
			children = (
				BA9652542338D8FB003D5820 /* AppDelegate */,
				BADF7946230AECFA00D675AC /* Helpers */,
				BADF794A230AED4C00D675AC /* MVVM */,
				BA0A40B523047480008CFFFA /* Services */,
				BADF7944230AEC8C00D675AC /* Ressources */,
				BADF7945230AECA500D675AC /* Settings */,
			);
			path = MazenProject;
			sourceTree = "<group>";
		};
		BAB92B592304672E00212FC5 /* MazenProjectTests */ = {
			isa = PBXGroup;
			children = (
				BAB92B5A2304672E00212FC5 /* MazenProjectTests.swift */,
				BAB92B5C2304672E00212FC5 /* Info.plist */,
			);
			path = MazenProjectTests;
			sourceTree = "<group>";
		};
		BAB92B642304672E00212FC5 /* MazenProjectUITests */ = {
			isa = PBXGroup;
			children = (
				BAB92B652304672E00212FC5 /* MazenProjectUITests.swift */,
				BAB92B672304672E00212FC5 /* Info.plist */,
			);
			path = MazenProjectUITests;
			sourceTree = "<group>";
		};
		BAB92B732304683900212FC5 /* Model */ = {
			isa = PBXGroup;
			children = (
				BA0E97F52357045500E11C8D /* HomeModel.swift */,
				BAB92B742304686700212FC5 /* Movie.swift */,
			);
			path = Model;
			sourceTree = "<group>";
		};
		BAB92B7823046D3D00212FC5 /* Controller */ = {
			isa = PBXGroup;
			children = (
				BAAFAE61234F4A1D0024B385 /* Base */,
				BA1D99172350CCD700C10806 /* Home */,
				BAC3F5EA2360B32700039C9A /* MovieDetails */,
			);
			path = Controller;
			sourceTree = "<group>";
		};
		BABB954623606BB500A3784A /* CustomTextField */ = {
			isa = PBXGroup;
			children = (
				BAF9D79E23506819000B3A0F /* CustomTextField.swift */,
			);
			path = CustomTextField;
			sourceTree = "<group>";
		};
		BAC3F5EA2360B32700039C9A /* MovieDetails */ = {
			isa = PBXGroup;
			children = (
				BAC3F5EB2360B34700039C9A /* MovieDetailsViewController.swift */,
				BAD87BCF2361B033001BA746 /* MovieDetailsVC+TableView.swift */,
				BAF45E5D2369817200E134CD /* MovieDetailsHeaderView.swift */,
			);
			path = MovieDetails;
			sourceTree = "<group>";
		};
		BAC4A7B12361F0660088BE56 /* MovieDetail */ = {
			isa = PBXGroup;
			children = (
				BAC4A7AB2361EC0F0088BE56 /* MovieDataTableViewCell.swift */,
				BAC4A7AD2361EC300088BE56 /* MovieDescriptionTableViewCell.swift */,
				BAC4A7AF2361EC450088BE56 /* MovieScreenshotsTableViewCell.swift */,
			);
			path = MovieDetail;
			sourceTree = "<group>";
		};
		BAD87BCC236189C3001BA746 /* BackButtonView */ = {
			isa = PBXGroup;
			children = (
				BAD87BCD236189D6001BA746 /* BackButtonView.swift */,
			);
			path = BackButtonView;
			sourceTree = "<group>";
		};
		BADA998423585773009B3FF4 /* Enumerations */ = {
			isa = PBXGroup;
			children = (
				BADA99852358578B009B3FF4 /* SectionType.swift */,
				BABB95422360672C00A3784A /* HomeViewModelEventType.swift */,
			);
			path = Enumerations;
			sourceTree = "<group>";
		};
		BADF7943230AEC7D00D675AC /* TableViewCell */ = {
			isa = PBXGroup;
			children = (
				BA84B37923548D4900200D8C /* HomeTableViewCell.swift */,
				BA84B37D2354CEE200200D8C /* HomeTableViewCell+CollectionView.swift */,
				BAC4A7B12361F0660088BE56 /* MovieDetail */,
			);
			path = TableViewCell;
			sourceTree = "<group>";
		};
		BADF7944230AEC8C00D675AC /* Ressources */ = {
			isa = PBXGroup;
			children = (
				BAAFAE66234F4CB30024B385 /* Assets */,
				BA9652452338D50F003D5820 /* Texts */,
			);
			path = Ressources;
			sourceTree = "<group>";
		};
		BADF7945230AECA500D675AC /* Settings */ = {
			isa = PBXGroup;
			children = (
				BAB92B512304672E00212FC5 /* Info.plist */,
				BAB92B492304672A00212FC5 /* MazenProject.xcdatamodeld */,
			);
			path = Settings;
			sourceTree = "<group>";
		};
		BADF7946230AECFA00D675AC /* Helpers */ = {
			isa = PBXGroup;
			children = (
				BA9F7D53237C018000819B84 /* Utils */,
				BADA998423585773009B3FF4 /* Enumerations */,
				BA96524F2338D678003D5820 /* GlobalConstants */,
				BA96524C2338D60F003D5820 /* Extensions */,
			);
			path = Helpers;
			sourceTree = "<group>";
		};
		BADF794A230AED4C00D675AC /* MVVM */ = {
			isa = PBXGroup;
			children = (
				BAB92B732304683900212FC5 /* Model */,
				BAF8FAB72305525B00459365 /* View */,
				BA4F60BF2322991200AB1908 /* ViewModel */,
			);
			path = MVVM;
			sourceTree = "<group>";
		};
		BAF8FAB72305525B00459365 /* View */ = {
			isa = PBXGroup;
			children = (
				BAF9D79D235067FC000B3A0F /* CustomViews */,
				BA4F60BE232296B700AB1908 /* Storyboards */,
				BADF7943230AEC7D00D675AC /* TableViewCell */,
				BA84B37823548D3300200D8C /* CollectionViewCell */,
				BAB92B7823046D3D00212FC5 /* Controller */,
			);
			path = View;
			sourceTree = "<group>";
		};
		BAF9D79D235067FC000B3A0F /* CustomViews */ = {
			isa = PBXGroup;
			children = (
				BAD87BCC236189C3001BA746 /* BackButtonView */,
				BABB954623606BB500A3784A /* CustomTextField */,
				BA3F5C5B2355FE8000468F75 /* Loader */,
			);
			path = CustomViews;
			sourceTree = "<group>";
		};
		CA0A55937AFC96EE335FE1D2 /* Pods */ = {
			isa = PBXGroup;
			children = (
				1310576CC77F1E5143509768 /* Pods-MazenProject.debug.xcconfig */,
				9C59124D93EBAD35555158A2 /* Pods-MazenProject.release.xcconfig */,
				9A497ED99187107A467D4CC8 /* Pods-MazenProjectTests.debug.xcconfig */,
				25E4B89C4E81E75F81429F69 /* Pods-MazenProjectTests.release.xcconfig */,
				81F083E05F795A43D3DD2FE9 /* Pods-MazenProjectUITests.debug.xcconfig */,
				58579BB6C7D2EF3CAA47654D /* Pods-MazenProjectUITests.release.xcconfig */,
			);
			name = Pods;
			sourceTree = "<group>";
		};
		DE86E0F2753655ED251C59C8 /* Frameworks */ = {
			isa = PBXGroup;
			children = (
				8E2F9570D356CAE32E313034 /* Pods_MazenProject.framework */,
				A6591443994BFC0AB48A7FC7 /* Pods_MazenProjectTests.framework */,
				53FF8019E6F5EC85704509EF /* Pods_MazenProjectUITests.framework */,
			);
			name = Frameworks;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		BAB92B3E2304672A00212FC5 /* MazenProject */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = BAB92B6A2304672E00212FC5 /* Build configuration list for PBXNativeTarget "MazenProject" */;
			buildPhases = (
				EEA085E5E5554BBA865DF750 /* [CP] Check Pods Manifest.lock */,
				BAAFAE5A234F45B70024B385 /* ShellScript */,
				BAB92B3B2304672A00212FC5 /* Sources */,
				BAB92B3C2304672A00212FC5 /* Frameworks */,
				BAB92B3D2304672A00212FC5 /* Resources */,
				EA1003A3818356A6B856D79C /* [CP] Embed Pods Frameworks */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = MazenProject;
			productName = MazenProject;
			productReference = BAB92B3F2304672A00212FC5 /* MazenProject.app */;
			productType = "com.apple.product-type.application";
		};
		BAB92B552304672E00212FC5 /* MazenProjectTests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = BAB92B6D2304672E00212FC5 /* Build configuration list for PBXNativeTarget "MazenProjectTests" */;
			buildPhases = (
				27691DA7833118A2588636A1 /* [CP] Check Pods Manifest.lock */,
				BAB92B522304672E00212FC5 /* Sources */,
				BAB92B532304672E00212FC5 /* Frameworks */,
				BAB92B542304672E00212FC5 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
				BAB92B582304672E00212FC5 /* PBXTargetDependency */,
			);
			name = MazenProjectTests;
			productName = MazenProjectTests;
			productReference = BAB92B562304672E00212FC5 /* MazenProjectTests.xctest */;
			productType = "com.apple.product-type.bundle.unit-test";
		};
		BAB92B602304672E00212FC5 /* MazenProjectUITests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = BAB92B702304672E00212FC5 /* Build configuration list for PBXNativeTarget "MazenProjectUITests" */;
			buildPhases = (
				939DD3A2A535C6F86734BBAC /* [CP] Check Pods Manifest.lock */,
				BAB92B5D2304672E00212FC5 /* Sources */,
				BAB92B5E2304672E00212FC5 /* Frameworks */,
				BAB92B5F2304672E00212FC5 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
				BAB92B632304672E00212FC5 /* PBXTargetDependency */,
			);
			name = MazenProjectUITests;
			productName = MazenProjectUITests;
			productReference = BAB92B612304672E00212FC5 /* MazenProjectUITests.xctest */;
			productType = "com.apple.product-type.bundle.ui-testing";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		BAB92B372304672A00212FC5 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastSwiftUpdateCheck = 1020;
				LastUpgradeCheck = 1020;
				ORGANIZATIONNAME = "Mazen Denden";
				TargetAttributes = {
					BAB92B3E2304672A00212FC5 = {
						CreatedOnToolsVersion = 10.2;
					};
					BAB92B552304672E00212FC5 = {
						CreatedOnToolsVersion = 10.2;
						TestTargetID = BAB92B3E2304672A00212FC5;
					};
					BAB92B602304672E00212FC5 = {
						CreatedOnToolsVersion = 10.2;
						TestTargetID = BAB92B3E2304672A00212FC5;
					};
				};
			};
			buildConfigurationList = BAB92B3A2304672A00212FC5 /* Build configuration list for PBXProject "MazenProject" */;
			compatibilityVersion = "Xcode 9.3";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
				fr,
			);
			mainGroup = BAB92B362304672A00212FC5;
			productRefGroup = BAB92B402304672A00212FC5 /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				BAB92B3E2304672A00212FC5 /* MazenProject */,
				BAB92B552304672E00212FC5 /* MazenProjectTests */,
				BAB92B602304672E00212FC5 /* MazenProjectUITests */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		BAB92B3D2304672A00212FC5 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				BAAFAE5C234F484C0024B385 /* Colors.xcassets in Resources */,
				BAB92B502304672E00212FC5 /* LaunchScreen.storyboard in Resources */,
				BA9652482338D52A003D5820 /* Localizable.strings in Resources */,
				BAB92B4D2304672E00212FC5 /* Assets.xcassets in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		BAB92B542304672E00212FC5 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		BAB92B5F2304672E00212FC5 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXShellScriptBuildPhase section */
		27691DA7833118A2588636A1 /* [CP] Check Pods Manifest.lock */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
			);
			inputPaths = (
				"${PODS_PODFILE_DIR_PATH}/Podfile.lock",
				"${PODS_ROOT}/Manifest.lock",
			);
			name = "[CP] Check Pods Manifest.lock";
			outputFileListPaths = (
			);
			outputPaths = (
				"$(DERIVED_FILE_DIR)/Pods-MazenProjectTests-checkManifestLockResult.txt",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n    # print error to STDERR\n    echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n    exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
			showEnvVarsInLog = 0;
		};
		939DD3A2A535C6F86734BBAC /* [CP] Check Pods Manifest.lock */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
			);
			inputPaths = (
				"${PODS_PODFILE_DIR_PATH}/Podfile.lock",
				"${PODS_ROOT}/Manifest.lock",
			);
			name = "[CP] Check Pods Manifest.lock";
			outputFileListPaths = (
			);
			outputPaths = (
				"$(DERIVED_FILE_DIR)/Pods-MazenProjectUITests-checkManifestLockResult.txt",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n    # print error to STDERR\n    echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n    exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
			showEnvVarsInLog = 0;
		};
		BAAFAE5A234F45B70024B385 /* ShellScript */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
			);
			inputPaths = (
			);
			outputFileListPaths = (
			);
			outputPaths = (
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "\"${PODS_ROOT}/SwiftLint/swiftlint\"\n";
		};
		EA1003A3818356A6B856D79C /* [CP] Embed Pods Frameworks */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
				"${PODS_ROOT}/Target Support Files/Pods-MazenProject/Pods-MazenProject-frameworks-${CONFIGURATION}-input-files.xcfilelist",
			);
			name = "[CP] Embed Pods Frameworks";
			outputFileListPaths = (
				"${PODS_ROOT}/Target Support Files/Pods-MazenProject/Pods-MazenProject-frameworks-${CONFIGURATION}-output-files.xcfilelist",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-MazenProject/Pods-MazenProject-frameworks.sh\"\n";
			showEnvVarsInLog = 0;
		};
		EEA085E5E5554BBA865DF750 /* [CP] Check Pods Manifest.lock */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
			);
			inputPaths = (
				"${PODS_PODFILE_DIR_PATH}/Podfile.lock",
				"${PODS_ROOT}/Manifest.lock",
			);
			name = "[CP] Check Pods Manifest.lock";
			outputFileListPaths = (
			);
			outputPaths = (
				"$(DERIVED_FILE_DIR)/Pods-MazenProject-checkManifestLockResult.txt",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n    # print error to STDERR\n    echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n    exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
			showEnvVarsInLog = 0;
		};
/* End PBXShellScriptBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		BAB92B3B2304672A00212FC5 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				BA0E97F62357045500E11C8D /* HomeModel.swift in Sources */,
				BA1D991D2350E0C100C10806 /* HomeViewController+TableView.swift in Sources */,
				BA9652512338D685003D5820 /* TextKeys.swift in Sources */,
				BA0A40B92304785D008CFFFA /* Webservice.swift in Sources */,
				BA3F5C5D2355FE8F00468F75 /* Loader.swift in Sources */,
				BA3F5C5A2355FBB800468F75 /* CustomLoader.swift in Sources */,
				BA9F7D55237C018F00819B84 /* StringUtils.swift in Sources */,
				BABB95432360672C00A3784A /* HomeViewModelEventType.swift in Sources */,
				BAF45E5E2369817200E134CD /* MovieDetailsHeaderView.swift in Sources */,
				BAD99F4D236C2855002C3A89 /* HomeHeaderView.swift in Sources */,
				BA1D99192350CCE500C10806 /* HomeViewController.swift in Sources */,
				BA84B37E2354CEE200200D8C /* HomeTableViewCell+CollectionView.swift in Sources */,
				BAAFAE6A234F68D80024B385 /* ColorExtension.swift in Sources */,
				BAD87BCE236189D6001BA746 /* BackButtonView.swift in Sources */,
				BA3F5C5F2356141E00468F75 /* HomeViewModel.swift in Sources */,
				BAB92B4B2304672A00212FC5 /* MazenProject.xcdatamodeld in Sources */,
				BAF9D79F23506819000B3A0F /* CustomTextField.swift in Sources */,
				BA4F60C12322994000AB1908 /* MovieViewModel.swift in Sources */,
				BAAFAE68234F64FC0024B385 /* ViewExtension.swift in Sources */,
				BAC4A7AE2361EC300088BE56 /* MovieDescriptionTableViewCell.swift in Sources */,
				BABB954523606B2700A3784A /* BaseVC+Extensions.swift in Sources */,
				BADE462E2382A9B40051E52A /* AppDelegate+LifeCycle.swift in Sources */,
				BAAFAE63234F4A350024B385 /* BaseViewController.swift in Sources */,
				BAC4A7AC2361EC0F0088BE56 /* MovieDataTableViewCell.swift in Sources */,
				BA96524E2338D61E003D5820 /* StringExtension.swift in Sources */,
				BA9652532338D8C9003D5820 /* LabelExtension.swift in Sources */,
				BAC3F5EC2360B34700039C9A /* MovieDetailsViewController.swift in Sources */,
				BA84B37C23548D8200200D8C /* MovieCell.swift in Sources */,
				BAC4A7B02361EC450088BE56 /* MovieScreenshotsTableViewCell.swift in Sources */,
				BA84B37A23548D4900200D8C /* HomeTableViewCell.swift in Sources */,
				BAAFAE6C234F6A530024B385 /* ColorConstants.swift in Sources */,
				BA458D6F24D973B20066A4BD /* HomeViewController+Extensions.swift in Sources */,
				BAB92B752304686700212FC5 /* Movie.swift in Sources */,
				BAD87BD02361B033001BA746 /* MovieDetailsVC+TableView.swift in Sources */,
				BADA99862358578B009B3FF4 /* SectionType.swift in Sources */,
				BA59493623633A0000EE6B54 /* ImagesCollectionViewCell.swift in Sources */,
				BAB92B432304672A00212FC5 /* AppDelegate.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		BAB92B522304672E00212FC5 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				BAB92B5B2304672E00212FC5 /* MazenProjectTests.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		BAB92B5D2304672E00212FC5 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				BAB92B662304672E00212FC5 /* MazenProjectUITests.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXTargetDependency section */
		BAB92B582304672E00212FC5 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = BAB92B3E2304672A00212FC5 /* MazenProject */;
			targetProxy = BAB92B572304672E00212FC5 /* PBXContainerItemProxy */;
		};
		BAB92B632304672E00212FC5 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = BAB92B3E2304672A00212FC5 /* MazenProject */;
			targetProxy = BAB92B622304672E00212FC5 /* PBXContainerItemProxy */;
		};
/* End PBXTargetDependency section */

/* Begin PBXVariantGroup section */
		BA96524A2338D52A003D5820 /* Localizable.strings */ = {
			isa = PBXVariantGroup;
			children = (
				BA9652492338D52A003D5820 /* en */,
				BAA83AE92338E0310043B100 /* fr */,
			);
			name = Localizable.strings;
			sourceTree = "<group>";
		};
		BAB92B4E2304672E00212FC5 /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				BAB92B4F2304672E00212FC5 /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		BAB92B682304672E00212FC5 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_LOCALIZABILITY_NONLOCALIZED = YES;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 12.2;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		BAB92B692304672E00212FC5 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_LOCALIZABILITY_NONLOCALIZED = YES;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 12.2;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		BAB92B6B2304672E00212FC5 /* Debug */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = 1310576CC77F1E5143509768 /* Pods-MazenProject.debug.xcconfig */;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Manual;
				DEVELOPMENT_TEAM = "";
				INFOPLIST_FILE = "$(SRCROOT)/MazenProject/Settings/Info.plist";
				IPHONEOS_DEPLOYMENT_TARGET = 13.2;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = MazenDenden.MazenProject;
				PRODUCT_NAME = "$(TARGET_NAME)";
				PROVISIONING_PROFILE_SPECIFIER = "";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		BAB92B6C2304672E00212FC5 /* Release */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = 9C59124D93EBAD35555158A2 /* Pods-MazenProject.release.xcconfig */;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Manual;
				DEVELOPMENT_TEAM = "";
				INFOPLIST_FILE = "$(SRCROOT)/MazenProject/Settings/Info.plist";
				IPHONEOS_DEPLOYMENT_TARGET = 13.2;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = MazenDenden.MazenProject;
				PRODUCT_NAME = "$(TARGET_NAME)";
				PROVISIONING_PROFILE_SPECIFIER = "";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
		BAB92B6E2304672E00212FC5 /* Debug */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = 9A497ED99187107A467D4CC8 /* Pods-MazenProjectTests.debug.xcconfig */;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Automatic;
				INFOPLIST_FILE = MazenProjectTests/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = MazenDenden.MazenProjectTests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/MazenProject.app/MazenProject";
			};
			name = Debug;
		};
		BAB92B6F2304672E00212FC5 /* Release */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = 25E4B89C4E81E75F81429F69 /* Pods-MazenProjectTests.release.xcconfig */;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Automatic;
				INFOPLIST_FILE = MazenProjectTests/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = MazenDenden.MazenProjectTests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/MazenProject.app/MazenProject";
			};
			name = Release;
		};
		BAB92B712304672E00212FC5 /* Debug */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = 81F083E05F795A43D3DD2FE9 /* Pods-MazenProjectUITests.debug.xcconfig */;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				CODE_SIGN_STYLE = Automatic;
				INFOPLIST_FILE = MazenProjectUITests/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = MazenDenden.MazenProjectUITests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_TARGET_NAME = MazenProject;
			};
			name = Debug;
		};
		BAB92B722304672E00212FC5 /* Release */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = 58579BB6C7D2EF3CAA47654D /* Pods-MazenProjectUITests.release.xcconfig */;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				CODE_SIGN_STYLE = Automatic;
				INFOPLIST_FILE = MazenProjectUITests/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = MazenDenden.MazenProjectUITests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_TARGET_NAME = MazenProject;
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		BAB92B3A2304672A00212FC5 /* Build configuration list for PBXProject "MazenProject" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				BAB92B682304672E00212FC5 /* Debug */,
				BAB92B692304672E00212FC5 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		BAB92B6A2304672E00212FC5 /* Build configuration list for PBXNativeTarget "MazenProject" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				BAB92B6B2304672E00212FC5 /* Debug */,
				BAB92B6C2304672E00212FC5 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		BAB92B6D2304672E00212FC5 /* Build configuration list for PBXNativeTarget "MazenProjectTests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				BAB92B6E2304672E00212FC5 /* Debug */,
				BAB92B6F2304672E00212FC5 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		BAB92B702304672E00212FC5 /* Build configuration list for PBXNativeTarget "MazenProjectUITests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				BAB92B712304672E00212FC5 /* Debug */,
				BAB92B722304672E00212FC5 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */

/* Begin XCVersionGroup section */
		BAB92B492304672A00212FC5 /* MazenProject.xcdatamodeld */ = {
			isa = XCVersionGroup;
			children = (
				BAB92B4A2304672A00212FC5 /* MazenProject.xcdatamodel */,
			);
			currentVersion = BAB92B4A2304672A00212FC5 /* MazenProject.xcdatamodel */;
			path = MazenProject.xcdatamodeld;
			sourceTree = "<group>";
			versionGroupType = wrapper.xcdatamodel;
		};
/* End XCVersionGroup section */
	};
	rootObject = BAB92B372304672A00212FC5 /* Project object */;
}
